<?php
namespace QuizPress;

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

use QuizPress\Premium\Premium;

class Pro {
    public static function init() {
        if ( class_exists( \QuizPress\Premium\Premium::class ) ) {
            Premium::init();
        }
        self::insert_data_schema();
    }
        
    public static function insert_data_schema() {
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		global $wpdb;
		$prefix          = $wpdb->prefix;
		$charset_collate = $wpdb->get_charset_collate();
        Database\CreateGuestTokenTable::up( $prefix, $charset_collate );

    }
}